summaryrefslogtreecommitdiffstats
path: root/source/n/snownews
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/snownews')
-rw-r--r--source/n/snownews/slack-desc8
-rwxr-xr-xsource/n/snownews/snownews.SlackBuild37
-rw-r--r--source/n/snownews/snownews.fake.destdir.diff15
3 files changed, 47 insertions, 13 deletions
diff --git a/source/n/snownews/slack-desc b/source/n/snownews/slack-desc
index 5ad21d08c..c8f213ab9 100644
--- a/source/n/snownews/slack-desc
+++ b/source/n/snownews/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -14,6 +14,6 @@ snownews: other formats.
snownews:
snownews: Snownews was written and is maintained by Oliver Feiler.
snownews:
-snownews: Snownews homepage: http://kiza.kcore.de/software/snownews
+snownews: Snownews homepage: https://github.com/kouya/snownews
snownews:
snownews:
diff --git a/source/n/snownews/snownews.SlackBuild b/source/n/snownews/snownews.SlackBuild
index 75bc28757..ebddfdda4 100755
--- a/source/n/snownews/snownews.SlackBuild
+++ b/source/n/snownews/snownews.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,24 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=snownews
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -50,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-snownews
@@ -70,12 +79,22 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
# Use ncursesw instead of regular ncurses:
sed -i 's|lncurses|lncursesw|g' platform_settings
make $NUMJOBS || make || exit 1
+
+zcat $CWD/snownews.fake.destdir.diff.gz | patch -p1 --verbose || exit 1
make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -99,7 +118,7 @@ fi
mkdir -p $PKG/usr/doc/snownews-$VERSION
cp -a \
- AUTHOR COPYING* CREDITS INSTALL README* \
+ AUTHOR COPYING* CREDITS README* \
$PKG/usr/doc/snownews-$VERSION
# If there's a Changelog, installing at least part of the recent history
diff --git a/source/n/snownews/snownews.fake.destdir.diff b/source/n/snownews/snownews.fake.destdir.diff
new file mode 100644
index 000000000..305c6d61f
--- /dev/null
+++ b/source/n/snownews/snownews.fake.destdir.diff
@@ -0,0 +1,15 @@
+--- ./Config.mk.orig 2018-05-07 16:40:21.596003821 -0500
++++ ./Config.mk 2018-05-07 16:45:44.398003832 -0500
+@@ -9,10 +9,10 @@
+ INSTALLSCR := ${INSTALL} -D -p -m 755
+ INSTALLDATA := ${INSTALL} -D -p -m 644
+
+-PREFIX := /usr
++PREFIX := /tmp/package-snownews/usr
+ BINDIR := ${PREFIX}/bin
+ LOCALEPATH := ${PREFIX}/share/locale
+-MANPATH := /usr/man
++MANPATH := ${PREFIX}/man
+
+ CFLAGS := -Wall -Wextra -Os -std=c11 -D_GNU_SOURCE -D_DEFAULT_SOURCE -I/usr/include/libxml2
+ LDFLAGS := -lcrypto -lxml2 -lncurses -lz -lm